> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gravitex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询视频生成任务

> Seedance 2.0 New GET /api/v3/contents/generations/tasks/{id}

## 简介

根据任务 `id` 查询状态与结果。与 BytePlus Ark 官方查询接口响应体一致。

## 认证

<ParamField header="Authorization" type="string" required>
  Bearer Token，如 `Bearer sk-your_token_key`
</ParamField>

## 路径参数

<ParamField path="id" type="string" required>
  创建任务返回的 `id`
</ParamField>

## 状态说明

| 字段       | 说明                                                                      |
| -------- | ----------------------------------------------------------------------- |
| `status` | `queued` / `running` / `cancelled` / `succeeded` / `failed` / `expired` |
| `error`  | 失败时非 `null`：`{"code": "...", "message": "..."}`                         |

## 请求示例

```bash theme={null}
curl https://api.gravitex.ai/api/v3/contents/generations/tasks/cgt-20260708094649-mxfjc \
  -H "Authorization: Bearer sk-your_token_key"
```

## 响应示例

```json theme={null}
{
  "id": "cgt-20260708094649-mxfjc",
  "model": "seedance-2-0",
  "status": "succeeded",
  "error": null,
  "created_at": 1783475210,
  "updated_at": 1783475364,
  "content": {
    "video_url": "https://...",
    "last_frame_url": "https://..."
  },
  "seed": 11,
  "resolution": "720p",
  "ratio": "16:9",
  "duration": 5,
  "generate_audio": true,
  "safety_identifier": "user-hash-abc",
  "service_tier": "default",
  "execution_expires_after": 172800,
  "usage": {
    "completion_tokens": 40594,
    "total_tokens": 40594
  }
}
```
